EPPxxxx - EtherCAT P System Box Modules
Home


Foreword

Foreword
Foreword
Additional information
•
Notes on the documentation
•
Safety instructions
•
Documentation issue status


Notes on the documentation

Foreword [image] Notes on the documentation
Notes on the documentation
Intended audience
This description is only intended for the use of trained specialists in control and automation engineering who are familiar with the applicable national standards.
It is essential that the following notes and explanations are followed when installing and commissioning these components.
The responsible staff must ensure that the application or use of the products described satisfy all the requirements for safety, including all the relevant laws, regulations, guidelines and standards.
Disclaimer
The documentation has been prepared with care. The products described are, however, constantly under development. For that reason the documentation is not in every case checked for consistency with performance data, standards or other characteristics. In the event that it contains technical or editorial errors, we retain the right to make alterations at any time and without warning. No claims for the modification of products that have already been supplied may be made on the basis of the data, diagrams and descriptions in this documentation.
Trademarks
Beckhoff®, TwinCAT®, EtherCAT®, Safety over EtherCAT®, TwinSAFE®, XFC® and XTS® are registered trademarks of and licensed by Beckhoff Automation GmbH & Co. KG.
Other designations used in this publication may be trademarks whose use by third parties for their own purposes could violate the rights of the owners.
Patent Pending
The EtherCAT Technology is covered, including but not limited to the following patent applications and patents: EP1590927, EP1789857, DE102004044764, DE102007017835 with corresponding applications or registrations in various other countries.
The TwinCAT Technology is covered, including but not limited to the following patent applications and patents: EP0851348, US6167425 with corresponding applications or registrations in various other countries.
EtherCAT® is registered trademark and patented technology, licensed by Beckhoff Automation GmbH, Germany
EtherCAT P® is registered trademark and patented technology, licensed by Beckhoff Automation GmbH & Co. KG, Germany
Copyright
© Beckhoff Automation GmbH & Co. KG, Germany.
The reproduction, distribution and utilization of this document as well as the communication of its contents to others without express authorization are prohibited.
Offenders will be held liable for the payment of damages. All rights reserved in the event of the grant of a patent, utility model or design.


Safety instructions

Foreword [image] Safety instructions
Safety instructions
Safety regulations
Please note the following safety instructions and explanations!
Product-specific safety instructions can be found on following pages or in the areas mounting, wiring, commissioning etc.
Exclusion of liability
All the components are supplied in particular hardware and software configurations appropriate for the application. Modifications to hardware or software configurations other than those described in the documentation are not permitted, and nullify the liability of Beckhoff Automation GmbH & Co. KG.
Personnel qualification
This description is only intended for trained specialists in control, automation and drive engineering who are familiar with the applicable national standards.
Description of symbols
In this documentation the following symbols are used with an accompanying safety instruction or note. The safety instructions must be read carefully and followed without fail!
DANGER
Serious risk of injury!
Failure to follow the safety instructions associated with this symbol directly endangers the life and health of persons.
WARNING
Risk of injury!
Failure to follow the safety instructions associated with this symbol endangers the life and health of persons.
CAUTION
Personal injuries!
Failure to follow the safety instructions associated with this symbol can lead to injuries to persons.
Attention
Damage to the environment or devices
Failure to follow the instructions associated with this symbol can lead to damage to the environment or equipment.
Note
Tip or pointer
This symbol indicates information that contributes to better understanding.


Documentation issue status

Foreword [image] Documentation issue status
Documentation issue status
Version
Changes
1.0.0
▪
First release
0.5
▪
First preliminary version
Firm and hardware version
The documentation refers to the firm and hardware status that was valid at the time it was prepared.
The properties of the modules are subject to continuous development and improvement. Modules having earlier production statuses cannot have the same properties as modules with the latest status. Existing properties, however, are always retained and are not changed, so that these modules can always be replaced by new ones.
The firmware and hardware version (delivery state) can be found in the batch number (D number) printed at the side of the EtherCAT Box.
Syntax of the batch number (D number)
D: WW YY FF HH
WW - week of production (calendar week)
YY - year of production
FF - firmware version
HH - hardware version
Example with D No. 29 10 02 01:
29 - week of production 29
10 - year of production 2010
02 - firmware version 02
01 - hardware version 01


Product overview

Product overview
Product overview
Additional information
•
EtherCAT P Box - Introduction
•
EPP13xx Module overview
•
EPP13x2-0001 - Introduction
•
EPP13xx - Technical data
•
EPP13xx - Process image


EtherCAT P Box - Introduction

Product overview [image] EtherCAT P Box - Introduction
EtherCAT P Box - Introduction
The EtherCAT system has been extended with EtherCAT P Box modules with protection class IP 67. Through the integrated EtherCAT P interface the modules can be connected directly to an EtherCAT P network without an additional Coupler Box. Through an adapter an EtherCAT P Box can be connected to an EtherCAT Box whereby voltage must be supplied externally. The high-performance of EtherCAT is thus maintained into each module.
The extremely low dimensions of only 126 x 30 x 26.5 mm (h x w x d) are identical to those of the Fieldbus Box extension modules and EtherCAT Box modules. They are thus particularly suitable for use where space is at a premium. The small mass of the EtherCAT P modules facilitates applications with mobile I/O interface (e.g. on a robot arm). The EtherCAT P connection is established via screened M8 connectors.
EtherCAT P-Box-Module im EtherCAT-Netzwerk
EtherCAT P Box Modules within an EtherCAT network
The robust design of the EtherCAT P Box modules enables them to be used directly at the machine. Control cabinets and terminal boxes are now no longer required. The modules are fully sealed and therefore ideally prepared for wet, dirty or dusty conditions.
Pre-assembled cables significantly simplify EtherCAT P and signal wiring. Very few wiring errors are made, so that commissioning is optimized. In addition to pre-assembled EtherCAT P, power and sensor cables, field-configurable connectors and cables are available for maximum flexibility. Depending on the application, the sensors and actuators are connected through M8 or M12 connectors.
The EtherCAT P modules cover the typical range of requirements for I/O signals with protection class IP67:
▪
digital inputs with different filters (3.0 ms or 10 μs)
▪
digital outputs with 0.5 or 2 A output current
▪
analog inputs and outputs with 16 bit resolution
▪
Thermocouple and RTD inputs
▪
Stepper motor modules
XFC (eXtreme Fast Control Technology) modules, including inputs with time stamp, are also available.
EtherCAT P Box with M8 connections for sensors/actuators
EtherCAT P Box with M12 connections for sensors/actuators
Note
Basic EtherCAT documentation
You will find a detailed description of the EtherCAT system in the Basic System Documentation for EtherCAT, which is available for download from our website (www.beckhoff.com) under Downloads.
Note
XML files
You will find XML files (XML Device Description Files) for Beckhoff EtherCAT P modules on our website (www.beckhoff.com) under Downloads, in the Configuration Files area.


EPP13xx Module overview

Product overview [image] EPP13xx Module overview
EPP13xx Module overview
EtherCAT-P-Box: System
Module | Number of channels | Comment
EPP1322-0001 | IN: 1 x EtherCAT, OUT: 3 x EtherCAT P | EtherCAT P junction with feed-in
EPP1332-0001 | IN: 1 x EtherCAT P, OUT: 3 x EtherCAT P | EtherCAT P junction with refresh
EPP1342-0001 | IN: 1 x EtherCAT P, OUT: 3 x EtherCAT P | EtherCAT P junction without refresh


EPP13x2-0001 - Introduction

Product overview [image] EPP13x2-0001 - Introduction
EPP13x2-0001 - Introduction
EPP1322-0001, EtherCAT P junction with feed-in
EPP1332-0001, EtherCAT P junction with refresh
EPP1342-0001, EtherCAT P junction without refresh
EPP13x2-0001 | EtherCAT P junction
The EPP13x2-0001 EtherCAT P junction in IP 67 are available for flexible topology configurations. The current carrying capacity of 3 A per EtherCAT P segment for US and UP already enables a wide range of sensors and actuators to be used. For larger or more branched machines/systems a power supply boost may be required. The EPP1332-0001 EtherCAT P junction with refresh feature can be used for feeding in US or UP at any point in the system. The coupling to the EtherCAT network is possible with this module.
The EPP1332-0001 should be used for topological branches with the need for voltage boosting. The EPP1342-0001 should be used for topological branches without the need for voltage boosting. All infrastructure box modules feature status LEDs for EtherCAT, US and UP.
Quick links
Installation
UL Requirements for UL approved modules
ATEX – Special conditions for ATEX approved modules


EPP13xx - Technical data

Product overview [image] EPP13xx - Technical data
EPP13xx - Technical data
Technical data | EPP1322-0001 |  | EPP1332-0001 | EPP1342-0001
Task within EtherCAT system | coupling to the EtherCAT network, EtherCAT P junction and feed-in of US and UP |  | 3-port EtherCAT P junction and refresh of US and UP | 3-port EtherCAT P junction without refresh
Fieldbus | EtherCAT
Bus interface | M8 socket, shielded, screw type, EtherCAT-P-coded
Number of channels | IN: 1 x EtherCAT, OUT: 3 x EtherCAT P | IN: 1 x EtherCAT P, OUT: 3 x EtherCAT P |  |  | IN: 1 x EtherCAT P, OUT: 3 x EtherCAT P
Nominal voltage | 24 VDC (-15%/+20%)
Total current | feed-in max. 3 A per US and UP | feed-in max. 3A per US and UP |  |  | no feed-in
Power supply connection | feed: 1 x M8 male socket, 4-pin; downstream connection: 1 x M8 female socket, 4-pin | feed: 1 x M8 male socket, 4-pin; downstream connection: 1 x M8 female socket, 4-pin |  |  | not necessary
Current rating per port | max. 3 A per US and UP
Current consumption from US | typ. 65 mA + load
Permissible ambient temperature during operation | -25 °C ... +60 °C
Permissible ambient temperature during storage | -40 °C ... +85 °C
Vibration / shock resistance | conforms to EN 60068-2-6 / EN 60068-2-27
EMC resistance/emission | conforms to EN 61000-6-2 / EN 61000-6-4
Protection class | IP65, IP66, IP67 (conforms to EN 60529)
Installation position | variable
Approvals | CE


EPP13xx - Process image

Product overview [image] EPP13xx - Process image
EPP13xx - Process image
As an example, the process image of EPP1322-0001 is shown.
Process image EPP1322-0001


Mounting and cabling

Mounting and cabling
Mounting and cabling
Additional information
•
Mounting
•
EtherCAT connection on EPP1322-0001
•
EtherCAT P
•
EtherCAT-P-supply
•
Cabling
•
UL Requirements
•
ATEX Notes


Mounting

Mounting and cabling [image] Mounting
Mounting
Additional information
•
Dimensions
•
Fixing
•
Nut torque for connectors


Dimensions

Mounting and cabling [image] Mounting [image] Dimensions
Dimensions
Dimensions of the EtherCAT-P-Box Modules
All dimensions are given in millimeters.
Attention
FE contact in housing of EtherCAT-P-Box
At top right of the EtherCAT-P-Box is a FE socket (see following figure) to connect the EPP-Box with the machine bed. If the machine have no FE connection the EtherCAT-P-Box must be connected with low impedance to an alternative functional ground.
FE-Buchse im Gehäuse1
FE socket in housing of EtherCAT-P-Box
Housing properties
EtherCAT Box | lean body
Housing material | PA6 (polyamide)
Casting compound | Polyurethane
Mounting | two fastening holes Ø 3 mm for M3
Metal parts | Brass, nickel-plated
Contacts | CuZn, gold-plated
Installation position | variable
Protection class | IP65, IP66, IP67 (conforms to EN 60529) when screwed together
Dimensions (H x W x D) | ca. 126 x 30 x 26,5 mm
Weight | approx. 125 g, depending on module type


Fixing

Mounting and cabling [image] Mounting [image] Fixing
Fixing
Note
Note or pointer
While mounting the modules, protect all connectors, especially the IP-Link, against contamination! Only with connected cables or plugs the protection class IP67 is guaranteed! Unused connectors have to be protected with the right plugs! See for plug sets in the catalogue.
Modules with narrow housing are mounted with two M3 bolts.
Modules with wide housing are mounted with two M3 bolts to the fixing holes located at the corners or mounted with two M4 bolts to the fixing holes located centrally.
The bolts must be longer than 15 mm. The fixing holes of the modules are not threaded.
When assembling, remember that the fieldbus connectors increases the overall height. See chapter accessories.
Mounting Rail ZS5300-0001
The mounting rail ZS5300-0001 (500 mm x 129 mm) allows the time saving assembly of modules.
The rail is made of stainless steel, 1.5 mm thick, with already pre-made M3 threads for the modules. The rail has got 5.3 mm slots to mount it via M5 screws to the machine.
Mounting Rail ZS5300-000
The mounting rail is 500 mm long, that way 15 narrow modules can be mounted with a distance of 2 mm between two modules. The rail can be cut to length for the application.
Mounting Rail ZS5300-0011
The mounting rail ZS5300-0011 (500 mm x 129 mm) has in addition to the M3 treads also pre-made M4 treads to fix 60 mm wide modules via their middle holes.
Up to 14 narrow or 7 wide modules may be mixed mounted.


Nut torque for connectors

Mounting and cabling [image] Mounting [image] Nut torque for connectors
Nut torque for connectors
M8 connectors
It is recommended to pull the M8 connectors tight with a nut torque of 0.4 Nm. When using the torque control screwdriver ZB8800 is also a max. torque of 0.5 Nm permissible.
EPP-Box mit M8 Steckverbindern
EtherCAT P Box with M8 connectors
M12 connectors
It is recommended to pull the M12 connectors tight with a nut torque of 0.6 Nm.
EPP-Box mit M12 Steckverbindern
EtherCAT P Box with M8 and M12 connectors
7/8" connectors
It is recommended to pull the 7/8" connectors tight with a nut torque of 1.5 Nm.
7/8" connectors
Torque socket wrenches
ZB8801 torque socket wrench
Note
Ensure the right torque
Use the torque socket wrenches available by Beckhoff to pull the connectors tight (see ZB8800, ZB8801-0000)!


EtherCAT connection on EPP1322-0001

Mounting and cabling [image] EtherCAT connection on EPP1322-0001
EtherCAT connection on EPP1322-0001
For the incoming EtherCAT connection the EPP1322-0001 has one M8 socket, marked in green.
EtherCAT Schnittstelle an EPP1322-0001
EtherCAT interface on EPP1322-0001
Assignment
There are various different standards for the assignment and colors of connectors and cables for Ethernet/EtherCAT.
Ethernet/EtherCAT |  | Plug connector |  |  | Cable |  | Standard
Signal | Description | M8 | M12 | RJ451 | ZB9010, ZB9020, ZB9030, ZB9032, ZK1090-6292, ZK1090-3xxx-xxxx | ZB9031 and old versions of ZB9030, ZB9032, ZK1090-3xxx-xxxx | TIA-568B
Tx + | Transmit Data+ | Pin 1 | Pin 1 | Pin 1 | yellow2 | orange/white3 | white/orange
Tx - | Transmit Data- | Pin 4 | Pin 3 | Pin 2 | orange2 | orange3 | orange
Rx + | Receive Data+ | Pin 2 | Pin 2 | Pin 3 | white2 | blue/white3 | white/green
Rx - | Receive Data- | Pin 3 | Pin 4 | Pin 6 | blue2 | blue3 | green
Shield | Shield | Housing |  | Shroud | Screen | Screen | Screen
1) colored markings according to EN 61918 in the four-pin RJ45 connector ZS1090-0003
2) wire colors according to EN 61918
3) wire colors
Note
Assimilation of color coding for cable ZB9030, ZB9032 and ZK1090-3xxxx-xxxx (with M8 connectors)
For unification the prevalent cables ZB9030, ZB9032 and ZK1090-3xxx-xxxx this means the pre assembled cables with M8 connectors were changed to the colors of EN61918 (yellow, orange, white, blue).So different color coding exists. But the electrical properties are absolutely identical.


EtherCAT P

Mounting and cabling [image] EtherCAT P
EtherCAT P
Additional information
•
EtherCAT P - voltage and signal supply
•
EtherCAT P LEDs


EtherCAT P - voltage and signal supply

Mounting and cabling [image] EtherCAT P [image] EtherCAT P - voltage and signal supply
EtherCAT P - voltage and signal supply
For the incoming and ongoing EtherCAT-P-connection, the EtherCAT-P-Box (EPPxxxx) has two M8 sockets, marked in red.
EtherCAT P Box: M8 (30 mm housing)
Assignment
A standard industrial CAT5 cable is used to which an EtherCAT-P-coded M8 plug is connected. The assignment of the Beckhoff EtherCAT-P-cable is listed below.
Assignment EtherCAT P |  |  |  | Connector | Wire color cable
Signal | Description | Voltage | Description | M8 | ZB7000, ZB7001
Tx + | Transmit Data+ | GNDS | GND for US | 1 | yellow1
Rx + | Receive Data+ | GNDP | GND for UP | 2 | white1
Rx - | Receive Data- | UP | Peripheral voltage for actuators | 3 | blue1
Tx - | Transmit Data- | US | System and sensor supply | 4 | orange1
Shield | Shield | Shield | Shield | Housing | Screen
*1) wire colors according to EN 61918
Click here for EtherCAT-P-cable.


EtherCAT P LEDs

Mounting and cabling [image] EtherCAT P [image] EtherCAT P LEDs
EtherCAT P LEDs
EtherCAT P LEDs
LED display
LED | Display | Meaning
IN L/A | off | no connection to the preceding EtherCAT P module
 | Lit | LINK: connection to the preceding EtherCAT P module
 | flashing | ACT: Communication with the preceding EtherCAT P module
OUT L/A | off | no connection to the following EtherCAT P module
 | Lit | LINK: connection to the following EtherCAT P module
 | flashing | ACT: Communication with the following EtherCAT P module
Run | off | Status of the EtherCAT P module is Init
 | flashes quickly | Status of the EtherCAT P module is pre-operational
 | flashes slowly | Status of the EtherCAT P module is safe-operational
 | Lit | Status of the EtherCAT P module is operational
Note
EtherCAT statuses
The various statuses in which an EtherCAT P module may be found are described in the Basic System Documentation for EtherCAT, which is available for download from our website (www.beckhoff.com) under Downloads.


EtherCAT-P-supply

Mounting and cabling [image] EtherCAT-P-supply
EtherCAT-P-supply
Additional information
•
EtherCAT-P-Connection
•
Status LEDs for power supply


EtherCAT-P-Connection

Mounting and cabling [image] EtherCAT-P-supply [image] EtherCAT-P-Connection
EtherCAT-P-Connection
Attention
Risk of damage to the device!
Bring the EtherCAT/EtherCAT P system into a safe, powered down state before starting installation, disassembly or wiring of the modules!
The feeding and forwarding of EtherCAT P is done via two EtherCAT-P-coded M8 connectors at the top of the modules:
▪
IN: left M8 connector with EtherCAT-P-coding for feeding EtherCAT P
▪
OUT: right M8 connector with EtherCAT P for forwarding the supply voltages
EtherCAT P Anschluss und Weiterleitung
EtherCAT-P-Box, Connectors for EtherCAT P
Pin assignment M8, EtherCAT P In and EtherCAT P Out
PIN assignment
Pin | Signal | Voltage
1 | Tx + | GNDs
2 | Rx + | GNDp
3 | Rx - | Auxiliary voltage Up, +24 VDC
4 | Tx - | Control voltage Us, +24 VDC
Housing | Shield | Shielding
The pins M8 connectors carry a maximum current of 3 A.
Two LEDs display the status of the supply voltages.
Control voltage US 24 VDC
Power is supplied to the fieldbus, the processor logic, the inputs and the sensors from the 24 VDC control voltage US.
Auxiliary voltage Up 24 VDC
The Auxiliary voltage UP supplies the digital outputs; it can be brought in separately. If the load voltage is switched off, the fieldbus functions and the power supply and functionality of the inputs are retained.
Attention
Pay attention to the maximum permissible current!
Pay attention also for the redirection of EtherCAT P, the maximum permissible current for M8 connectors of 3 A must not be exceeded!
Electrical isolation
Digital modules
In the digital input/output modules, the grounds of the control voltage (GNDS) and the auxiliary voltage (GNDP) are separated from each other!
Analog modules
In the analog input/output modules the grounds of the control voltage (GNDS) and the auxiliary voltage (GNDP) are separated from each other in order to ensure electrical isolation of the analog signals from the control voltage.
In some of the analog modules the sensors or actuators are supplied by UP - this means, for instance, that in the case of 0...10 V inputs, any reference voltage (0...30 V) may be connected to UP; this is then available to the sensors (e.g. smoothed 10 V for measuring potentiometers).


Status LEDs for power supply

Mounting and cabling [image] EtherCAT-P-supply [image] Status LEDs for power supply
Status LEDs for power supply
Spannungs LEDs EPP-Box
Status LEDs for power supply
LED display
LED | Display | Meaning
US (Control voltage) | off | The power supply voltage US is not present
 | green illuminated | The power supply voltage US is present
 | red illuminated | Because of overload (current > 0.5 A) the sensor supply generated from power supply voltage US was switched off for all sensors fed from this.
UP (Auxiliary voltage) | off | The power supply voltage UP is not present
 | green illuminated | The power supply voltage UP is present


Cabling

Mounting and cabling [image] Cabling
Cabling
A list of the EtherCAT P cable, EtherCAT cable, power cable, sensor cable, Ethernet-/EtherCAT connectors and the field assembled connectors can be found at the following link: http://download.beckhoff.com/download/document/catalog/main_catalog/english/Beckhoff_EtherCAT-Box-Accessories.pdf
You can find the corresponding data sheets at the following link: http://beckhoff.de/english/fieldbus_box/data_sheets.htm?id=69033899254355
EtherCAT P cable
For the EtherCAT P connection are pre-assembled M8 cables in various lengths and the versions: plug – open end, plug – plug or plug - socket available.
Verkabelung EtherCAT P M8
EtherCAT P cable: ZK700x-0100-0xxx, ZK700x-0101-0xxx and ZK700x-0102-0xxx
For connecting EtherCAT P devices only shielded Ethernet cables that meet the requirements of at least category 5 (CAT5) according to EN 50173 or ISO/IEC 11801 should be used.
Note
Recommendations about cabling
You may get detailed recommendations about cabling EtherCAT from the documentation "Recommendations for the design of the infrastructure for EtherCAT/Ethernet", that is available for download at www.Beckhoff.com.
EtherCAT P connectors for field assembly
For EtherCAT P are field installable M8 connectors as plug (ZS7000) and as socket (ZS7001) available.
feldkonfektionierbare Steckverbinder EtherCAT P
EtherCAT P: field assembly connectors
Sensor cable
Sensorkabel - Beckhoff
Selection of different Sensor cables from Beckhoff


UL Requirements

Mounting and cabling [image] UL Requirements
UL Requirements
The installation of the EtherCAT Box Modules / EtherCAT P Box Modules certified by UL has to meet the following requirements.
Supply voltage
CAUTION
CAUTION!
•
by a 24 VDC supply voltage, supplied by an isolating source and protected by means of a fuse (in accordance with UL248), rated maximum 4 Amp, or
•
by a 24 VDC power source, that has to satisfy NEC class 2.
A NEC class 2 power supply shall not be connected in series or parallel with another (class 2) power source!
CAUTION
CAUTION!
To meet the UL requirements, the EtherCAT Box Modules / EtherCAT P Box Modules must not be connected to unlimited power sources!
Networks
CAUTION
CAUTION!
To meet the UL requirements, EtherCAT Box Modules / EtherCAT P Box Modules must not be connected to telecommunication networks!
Ambient temperature range
CAUTION
CAUTION!
To meet the UL requirements, EtherCAT Box Modules / EtherCAT P Box Modules has to be operated only at an ambient temperature range of 0 to 55°C!
Marking for UL
All EtherCAT Box Modules / EtherCAT P Box Modules certified by UL (Underwriters Laboratories) are marked with the following label.
UL label


ATEX Notes

Mounting and cabling [image] ATEX Notes
ATEX Notes
Additional information
•
ATEX - Special conditions
•
BG2000-0000 - EtherCAT Box protection enclosure
•
ATEX Documentation


ATEX - Special conditions

Mounting and cabling [image] ATEX Notes [image] ATEX - Special conditions
ATEX - Special conditions
WARNING
Observe the special conditions for the intended use of EtherCAT Box modules / EtherCAT P Box modules in potentially explosive areas – directive 94/9/EU.
•
The certified components are to be installed in the BG2000-0000 protection enclosure that guarantees a protection against mechanical hazards!
•
If the temperatures during rated operation are higher than 70°C at the feed-in points of cables, lines or pipes, or higher than 80°C at the wire branching points, then cables must be selected whose temperature data correspond to the actual measured temperature values!
•
Observethe permissible ambient temperature range of 0 - 55°C for the use of EtherCAT Box modules / EtherCAT P Box modules in potentially explosive areas!
•
Measures must be taken to protect against the rated operating voltage being exceeded by more than 40% due to short-term interference voltages!
•
The connections of the certified components may only be connected or disconnected if the supply voltage has been switched off or if a non-explosive atmosphere is ensured!
Standards
The fundamental health and safety requirements are fulfilled by compliance with the following standards:
▪
EN 60079-0: 2006
▪
EN 60079-15: 2005
Marking
The EtherCAT Box modules / EtherCAT P Box modules certified for potentially explosive areas bear the following marking:
II 3 G Ex nA II T4 DEKRA 11ATEX0080 X Ta: 0 - 55°C
II 3 G Ex nA nC IIC T4 DEKRA 11ATEX0080 X Ta: 0 - 55°C
Batch number (D number)
The EtherCAT Box modules / EtherCAT P Box modules bear a batch number (D number) that is structured as follows:
D: WW YY FF HH
WW - week of production (calendar week)
YY - year of production
FF - firmware version
HH - hardware version
Beispiel mit Ser. Nr.: 29 10 02 01:
29 - week of production 29
10 - year of production 2010
02 - firmware version 02
01 - hardware version 01


BG2000-0000 - EtherCAT Box protection enclosure

Mounting and cabling [image] ATEX Notes [image] BG2000-0000 - EtherCAT Box protection enclosure
BG2000-0000 - EtherCAT Box protection enclosure
WARNING
Risk of electric shock and damage of device!
Bring the EtherCAT system into a safe, powered down state before starting installation, disassembly or wiring of the modules!
ATEX
The BG2000-0000 protection enclosure has to be mounted over a single EtherCAT Box / EtherCAT P Box modules to fulfill the special conditions according to ATEX.
Installation
Put the cables for EtherCAT, power supply and sensors/actuators through the hole of the BG2000-0000 protection enclosure.
BG2000-0000, putting the cables
Fix the wires for EtherCAT, power supply and sensors/actuators to the EtherCAT Box / EtherCAT P Box modules.
BG2000-0000, fixing the cables
Mount the BG2000-0000 protection enclosure over the EtherCAT Box / EtherCAT P Box modules.
BG2000-0000, mounting the protection enclosure


ATEX Documentation

Mounting and cabling [image] ATEX Notes [image] ATEX Documentation
ATEX Documentation
Note
Notes about operation of EtherCAT Box Modules (EPxxxx-xxxx) or EtherCAT P Box modules (EPPxxxx-xxxx) in potentially explosive areas (ATEX)
Pay also attention to the continuative documentationNotes about operation of EtherCAT Box Modules (EPxxxx-xxxx) or EtherCAT P Box modules (EPPxxxx-xxxx) in potentially explosive areas (ATEX) that is available in the download area of the Beckhoff homepage http:\\www.beckhoff.com!


Commissioning/Configuration

Commissioning/Configuration
Commissioning/Configuration
Additional information
•
Offline configuration settings - TwinCAT
•
Online configuration settings - TwinCAT
•
Configuration via TwinCAT


Offline configuration settings - TwinCAT

Commissioning/Configuration [image] Offline configuration settings - TwinCAT
Offline configuration settings - TwinCAT
In this part of the documentation is the manual configuration of an EtherCAT/EtherCAT P Box in TwinCAT described.
Distinction between Online and Offline
The distinction between online and offline refers to the presence of the actual I/O environment (drives, terminals, box-modules). If the configuration is to be prepared in advance of the system configuration as a programming system, e.g. on a laptop, this is only possible in “Offline configuration” mode. In this case all components have to be entered manually in the configuration, e.g. based on the electrical design (as described under Offline configuration settings - TwinCAT).
If the designed control system is already connected to the EtherCAT system and all components are energized and the infrastructure is ready for operation, the TwinCAT configuration can simply be generated through “scanning” from the runtime system. This is referred to as online configuration.
In any case, during each startup the EtherCAT/EtherCAT P master checks whether the devices it finds match the configuration. This test can be parameterized in the extended device settings.
To take advantage of the current features/settings of the master, the latest version of the ESI file should always be downloaded. Therefore it is necessary to consider the following note first.
Note
Installation of the latest ESI-XML device description
The TwinCAT SystemManager needs the device description files for the devices to be used in order to generate the configuration in online or offline mode. The device description are contained in the so-called ESI files (EtherCAT Slave Information) in XML format. These files can be requested from the respective manufacturer and are made available for download. The ESI files for Beckhoff EtherCAT/EtherCAT P devices are available on the Beckhoff website (http://www.beckhoff.de/english/download/elconfg.htm?id=1983920606140). The ESI files should be saved in the TwinCAT installation directory (default: C:\TwinCAT\IO\EtherCAT). The files are read (once) when a new System Manager window is opened. A TwinCAT installation includes the set of Beckhoff ESI files that was current at the time when the TwinCAT build was created. For TwinCAT 2.11 and higher, the ESI directory can be uploaded from the System Manager, if the programming PC is connected to the internet (TwinCAT → EtherCAT-Devices → Update Device Description…)
Update EtherCAT Device Description 1439726603
Appending a module manually
▪
The EtherCAT system must be in a safe, de-energized state before the EtherCAT/EtherCAT P modules are connected to the EtherCAT network!
▪
Switch on the operating voltage, open the TwinCAT System Manager (Config mode)
▪
Append a new I/O device. In the dialog that appears select the device EtherCAT (Direct Mode), and confirm with OK.
Appending a new I/O device
Appending a new I/O device (I/O Devices -> right-click -> Append Device...)
Select the device (EtherCAT)
Selecting the device EtherCAT
▪
Append a new box.
Appending a new box
Appending a new box (Device -> right-click -> Append Box...)
▪
In the dialog that appears select the desired box (e.g. EPP1322-0001), and confirm with OK.
Select a box
Selecting a Box (e.g. EPP1322-0001)


Online configuration settings - TwinCAT

Commissioning/Configuration [image] Online configuration settings - TwinCAT
Online configuration settings - TwinCAT
In this part of the documentation is the configuration of a physically existing EtherCAT/EtherCAT P box in TwinCAT described.
Online configuration “Scan” (TwinCAT 3.x)
Distinction between Online and Offline
The distinction between online and offline refers to the presence of the actual I/O environment (drives, terminals, box-modules). If the configuration is to be prepared in advance of the system configuration as a programming system, e.g. on a laptop, this is only possible in “Offline configuration” mode. In this case all components have to be entered manually in the configuration, e.g. based on the electrical design (as described under Offline configuration settings - TwinCAT). If the designed control system is already connected to the EtherCAT system and all components are energized and the infrastructure is ready for operation, the TwinCAT configuration can simply be generated through “scanning” from the runtime system. This is referred to as online configuration. In any case, during each startup the EtherCAT/EtherCAT P box checks whether the devices it finds match the configuration. To take advantage of the current features/settings of the EtherCAT/EtherCAT P box, the latest version of the ESI file should always be downloaded. Therefore it is necessary to consider the following note first.
Note
Installation of the latest ESI-XML device description
The TwinCAT System Manager needs the device description files for the devices to be used in order to generate the configuration in online or offline mode. The device descriptions are contained in the so-called ESI files (EtherCAT Slave Information) in XML format. These files can be requested from the respective manufacturer and are made available for download. The ESI files for Beckhoff EtherCAT/EtherCAT P devices are available on the Beckhoff website (http://www.beckhoff.de/english/download/elconfg.htm?id=1983920606140). The ESI files should be saved in the TwinCAT installation directory (default: C:\TwinCAT\IO\EtherCAT). The files are read (once) when a new System Manager window is opened. A TwinCAT installation includes the set of Beckhoff ESI files that was current at the time when the TwinCAT build was created. For TwinCAT 2.11 and higher, the ESI directory can be uploaded from the System Manager, if the programming PC is connected to the internet (TwinCAT → EtherCAT-Devices → Update Device Description…) Update EtherCAT Device Description 1439726603
The following conditions must be met before a configuration can be set up:
▪
the real EtherCAT/EtherCAT P and IO-Link hardware (devices, couplers, drives) must be present and installed
▪
the master/devices must be connected via EtherCAT/EtherCAT P cables and IO-Link cables in the same way as they are intended to be used later
▪
the devices/modules be connected to the power supply and ready for communication
▪
TwinCAT must be in CONFIG mode on the target system.
The online scan process consists of:
▪
detecting the EtherCAT device (Ethernet Port at the IPC)
▪
detecting the connected EtherCAT/EtherCAT P devices. This step can be carried out independent of the precending step.
▪
troubleshooting
The scan with existing configuration can also be carried out for comparison.
Detecting/scanning of the EtherCAT/EtherCAT P device
The online device search can be used if the TwinCAT system is in CONFIG mode (blue TwinCAT icon or blue indication in the System Manager).
TwinCAT CONFIG mode display
Note
Online scanning in Config mode
The online search is not available in RUN mode (production operation).
Note the differentiation between TwinCAT programming system and TwinCAT target system. The TwinCAT icon next to the Windows clock always shows the TwinCAT mode of the local IPC. The System Manager window shows the TwinCAT state of the target system.
TwinCAT target und local System
Right-clicking on “I/O Devices” in the configuration tree opens the search dialog.
Scan Devices
This scan mode not only tries to find EtherCAT/EtherCAT P devices (or Ethernet ports that can be used as such), but also NOVRAM, fieldbus cards, SMB etc. Not all devices can be found automatically.
Hinweis automatischer Gerätescan
note for automatic device scan
Ethernet ports with installed TwinCAT real-time driver are shown as “RT Ethernet” devices. An EtherCAT frame is sent to these ports for testing purposes. If the scan agent detects from the response that an EtherCAT/EtherCAT P slave is connected, the port is immediately shown as an “EtherCAT Device”.
detected Ethernet devices
After confirmation with “OK” a device scan is suggested for all selected devices, see following figure.
Detecting/Scanning the EtherCAT devices
Note
Online scan functionality
During a scan the master queries the identity information of the EtherCAT/EtherCAT P slaves from the slave EEPROM. The name and revision are used for determining the type. The respective devices are located in the stored ESI data and integrated in the configuration tree in the default state defined there.
If an EtherCAT device was created in the configuration (manually or through a scan), the I/O field can be scanned for devices/slaves.
Scan for Boxes
scan query after automatic creation of an EtherCAT device
The configuration has been build and directly shifted into the online state (OPERATIONAL). The EtherCAT system should then be in a functional cyclic state, as shown in the following figure.
online display example
Please note:
▪
all slaves should be in OP state
▪
“frames/sec” should match the cycle time taking into account the sent number of frames
▪
no excessive “LostFrames” or CRC errors should occur
The configuration is now complete. It can be modified as described under the offline procedure.
The connected EtherCAT/EtherCAT P box (here: EPP1322-0001 and EPP1008-0002) is displayed in the TwinCAT structure as you can see in the figure below.
Master-Anzeige nach Scan for Boxes
Master display after scan for boxes
Troubleshooting
Various effects may occur during scanning.
▪
An unknown device is detected, i.e. an EtherCAT/EtherCAT P slave for which no ESI XML description is available. In this case the System Manager offers to read any ESI that maybe stored in the device.
▪
Device are not detected property
▪
Possible reasons include:
–
faulty data links, resulting in data loss during the scan
–
slave has invalid device description
–
The connections and devices should be checked in a targeted manner, e.g. via the emergency scan.
Then re-run the scan.
Scan over existing configuration
If a scan is initiated for an existing configuration, the actual I/O environment may match the configuration exactly or it may differ. This enables the configuration to be compared.
Configuration is identical
identical configuration
If differences are detected, they are shown in the correction dialog, so that the user can modify the configuration as required.
correction dialog
It is advisable to tick the “Extended Information” check box to reveal differences in the revision.
Colour | Explanation
green | This EtherCAT/EtherCAT P slave matches the entry on the other side. Both type and revision match.
blue | This EtherCAT/EtherCAT P slave is present on the other side, but in a different revision. If the found revision is higher than the configured revision, the slave maybe used provided compatibility issues are taken into account. If the found revision is lower than the configured revision, it is likely that the slave cannot be used. The found device may not support all functions that the master expects based on the higher revision number.
light blue | This EtherCAT/EtherCAT P slave is ignored („Ignore“ button).
red | This EtherCAT/EtherCAT P slave is not present on the other side.
Note
Device selection based on revision, compatibility
The ESI description also defines the process image, the communication type between master and slave/device and the device functions, if applicable. The physical device (firmware, if available) has to support the communication queries/settings of the master. This is backward compatible, i.e. newer devices (higher revision) should be supported if the EtherCAT/EtherCAT P master addresses them as an older revision. The following compatibility rule of thumb is to be assumed for Beckhoff EtherCAT Terminals and EtherCAT/EtherCAT P Boxes:
Device revision in the system >= device revision in the configuration
This also enables subsequent replacement of devices without changing the configuration (different specifications are possible for drives). Example: If an EL2521-0025-1018 is specified in the configuration, an EL 2521-0025-1019 or higher (-1020, -1021) can be used in practice.
If current ESI descriptions are available in the TwinCAT system, the last revision offered in the selection dialog matches the Beckhoff state of production. It is recommended to use the last device revision when creating a new configuration, if current Beckhoff devices are used in the real application. Older revisions should only be used if older devices from stock are to be used in the application.
correction dialog with modifications
Once all modifications have been saved or accepted, click “OK” to transfer them to the real *.tsm configuration.


Configuration via TwinCAT

Commissioning/Configuration [image] Configuration via TwinCAT
Configuration via TwinCAT
In the left-hand window of the TwinCAT System Manager, click on the branch of the EtherCAT P Box you wish to configure (EPP3174-0002 in this example).
Baumzweig der zu konfigurierenden EtherCAT-P-Box
Branch of the EtherCAT P box to be configured
In the right-hand window of the TwinCAT System manager, various tabs are now available for configuring the EtherCAT P Box.
General tab
General tab
Name | Name of the EtherCAT P device
Id | Number of the EtherCAT P device
Type | EtherCAT P device type
Comment | Here you can add a comment (e.g. regarding the system).
Disabled | Here you can deactivate the EtherCAT P device.
Create symbols | Access to this EtherCAT P slave via ADS is only available if this control box is activated.
EtherCAT tab
EtherCAT tab
Type | EtherCAT P device type
Product/Revision | Product and revision number of the EtherCAT P device
Auto Inc Addr. | Auto increment address of the EtherCAT P device. The auto increment address can be used for addressing each EtherCAT P device in the communication ring through its physical position. Auto increment addressing is used during the start-up phase when the EtherCAT P master allocates addresses to the EtherCAT P devices. With auto increment addressing the first EtherCAT P slave in the ring has the address 0000hex. For each further slave the address is decremented by 1 (FFFFhex, FFFEhex etc.).
EtherCAT Addr. | Fixed address of an EtherCAT P slave. This address is allocated by the EtherCAT P master during the start-up phase. Tick the control box to the left of the input field in order to modify the default value.
Previous Port | Name and port of the EtherCAT P device to which this device is connected. If it is possible to connect this device with another one without changing the order of the EtherCAT P devices in the communication ring, then this combination field is activated and the EtherCAT P device to which this device is to be connected can be selected.
Advanced Settings | This button opens the dialogs for advanced settings.
The link at the bottom of the tab points to the product page for this EtherCAT P device on the web.
EtherCAT P tab
From TwinCAT 3 Build 4020 TwinCAT has the tab “EtherCAT P”. This tab contains a planning tool to calculate voltages, currents and cable lengths of EtherCAT P system. The figure below shows the tab EtherCAT P when no device is connected to the junction device (A).
No box at EP1322
Tab EtherCAT P: No device connected to junction device
Is a device connected to the junction device (A), the number/letter of the ports are displayed (see figure below, B).
One box at EPP1322
Tab EtherCAT P: One device connected to junction device
Are three devices connected to the three ports of the junction device (A), the ports are displayed (B) as shown in the figure below.
EtherCAT P tab 3 boxes at 3 ports
Tab EtherCAT P: Three devices connected to junction device
How you can see the topology of your EtherCAT P system in TwinCAT, is described here.
Port | Identification of the ports with numbers / letters as described before
Wire Gauge | Selection of the wire cross-sectional area of the cable which is to be used AWG 22 = 0.34 mm² AWG 24 = 0.22 mm² AWG 26 = 0.14 mm²
Length (m) | Indication of the cable length which is to be used
Check EtherCAT P system | At least one device is connected to the controller, the connected EtherCAT P system can be checked
Type | Listing of two voltages: Box supply US, Auxiliary voltage UP
Actual Voltage (V) | The respective voltage at which the system is powered, can be entered manually. The default setting is 24.00 V
Min. Voltage (V) | The minimum voltage is preset by the device and described in the ESI file. The EtherCAT P system is to be interpreted after this voltage. It is valid not to fall short this voltage
Internal Load (A) | The current which consume the device is read from the ESI file of the respective box
Load (A) | The total consumption of the connected sensors / actuators at the device can be specified here
Load Type | The characteristic of the load which is connected to the devices can be selected here. Which of the three options is right for the connected load (Sw regulator, LDO, Resistor), must be taken from the datasheet. In case of doubt please select the default value “Sw Regulator”. Sw Regulator: Switching regulators, consume more energy and therefore require an efficient power supply LDO: Low drop voltage regulator, the energy demand is often small and the heat dissipation is not a problem, e.g. proximity sensor Resistor: electronic, passive components e.g. relay, coil
If you click on the button “Check EtherCAT P System”, all devices that are attached to your TwinCAT tree are listed as shown in the following figure.
Check EtherCAT P System 1
Check EtherCAT P System
Check US, Check UP | Selecting which of the two voltages is to be checked.
Name | Designation of the in TwinCAT tree attached devices.
Supply Voltage (V) | Voltage at which the device is provided. For device 1, the voltage can be entered manually.
Min Voltage (V) | See description above.
Input Resistance (Ω) | Input resistance, which is calculated over the cable length and cable cross-section.
Current (A) | Display for the current.
Load (A) | See description above.
Cable Length (m) | The used cable length must be entered manually.
Wire Gauge | See description above.
Example with problem case and troubleshooting
The following figure shows the planning of the EtherCAT P system without a problem. All voltages in the column “Supply Voltage (V)” are highlighted in green.
Check EtherCAT P System Fehlerfall behoben
Check EtherCAT P system without problem
The following figure shows the planning of the EtherCAT P system with a problem. The “Supply Voltage (V)” of Box 5 drops below the “Min. voltage (V)”. The corresponding field is highlighted in red. The error occurs because longer cables (adjustable in Cable Length (m)) and also AWG 24 instead of AWG 22 cables (adjustable in Wire Gauge) be used.
Check EtherCAT P System Fehlerfall
Check EtherCAT P System with problem
This area offers the following three options to adjust the system so that there is no error:
Provide a higher voltage: There are max. 28.8 V possible.
Use an EtherCAT P cable with a larger wire cross sectional area (AWG 22 instead of AWG 24).
New voltage feed.
Topology of the EtherCAT P system
You can view the topology of your EtherCAT P system, as described in the figure below:
A: Click in the TwinCAT tree on „Device1 (EtherCAT)“
B: Click on tab „EtherCAT“
C: Click on button „Topology“
D: The topology of your EtherCAT P system is displayed. Here as example: Three devices are connected to the three ports of the distributor device.
Topology 3 Boxes at 3 ports way
Topology of the EtherCAT P system
Process Data tab
Indicates the configuration of the process data. The input and output data of the EtherCAT P slave are represented as CANopen process data objects (PDO). The user can select a PDO via PDO assignment and modify the content of the individual PDO via this dialog, if the EtherCAT P slave supports this function.
Process data tab
Process Data tab
Sync Manager
Lists the configuration of the Sync Manager (SM).
If the EtherCAT P device has a mailbox, SM0 is used for the mailbox output (MbxOut) and SM1 for the mailbox input (MbxIn).
SM2 is used for the output process data (outputs) and SM3 (inputs) for the input process data.
If an input is selected, the corresponding PDO assignment is displayed in the PDO Assignment list below.
PDO Assignment
PDO assignment of the selected Sync Manager. All PDOs defined for this Sync Manager type are listed here:
▪
If the output Sync Manager (outputs) is selected in the Sync Manager list, all RxPDOs are displayed.
▪
If the input Sync Manager (inputs) is selected in the Sync Manager list, all TxPDOs are displayed.
The selected entries are the PDOs involved in the process data transfer. In the tree diagram of the System Manager these PDOs are displayed as variables of the EtherCAT P device. The name of the variable is identical to the Name parameter of the PDO, as displayed in the PDO list. If an entry in the PDO assignment list is deactivated (not selected and greyed out), this indicates that the input is excluded from the PDO assignment. In order to be able to select a greyed out PDO, the currently selected PDO has to be deselected first.
Note
Activation of PDO assignment
•
the EtherCAT P slave has to run through the PS status transition cycle (from pre-operational to safe-operational) once (see Online tab),
•
and the System Manager has to reload the EtherCAT P slaves ( Reload Devices button)
PDO list
List of all PDOs supported by this EtherCAT P device. The content of the selected PDOs is displayed in the PDO Content list. The PDO configuration can be modified by double-clicking on an entry.
Column | Description
Index | PDO index.
Size | Size of the PDO in bytes.
Name | Name of the PDO. If this PDO is assigned to a Sync Manager, it appears as a variable of the slave with this parameter as the name.
Flags | F | Fixed content: The content of this PDO is fixed and cannot be changed by the System Manager.
 | M | Mandatory PDO. This PDO is mandatory and must therefore be assigned to a Sync Manager! Consequently, this PDO cannot be deleted from the PDO Assignment list
SM | Sync Manager to which this PDO is assigned. If this entry is empty, this PDO does not take part in the process data traffic.
SU | Sync unit to which this PDO is assigned.
PDO Content
Indicates the content of the PDO. If flag F (fixed content) of the PDO is not set the content can be modified.
Download
If the device is intelligent and has a mailbox, the configuration of the PDO and the PDO assignments can be downloaded to the device. This is an optional feature that is not supported by all EtherCAT P slaves.
PDO Assignment
If this check box is selected, the PDO assignment that is configured in the PDO Assignment list is downloaded to the device on startup. The required commands to be sent to the device can be viewed in the Startup tab.
PDO Configuration
If this check box is selected, the configuration of the respective PDOs (as shown in the PDO list and the PDO Content display) is downloaded to the EtherCAT P slave.
Startup tab
The Startup tab is displayed if the EtherCAT P slave has a mailbox and supports the CANopen over EtherCAT (CoE) or Servo drive over EtherCAT protocol. This tab indicates which download requests are sent to the mailbox during startup. It is also possible to add new mailbox requests to the list display. The download requests are sent to the slave in the same order as they are shown in the list.
Startup tab
Column
Description
Transition
Transition to which the request is sent. This can either be
▪
the transition from pre-operational to safe-operational (PS), or
▪
the transition from safe-operational to operational (SO).
If the transition is enclosed in "<>" (e.g. <PS>), the mailbox request is fixed and cannot be modified or deleted by the user.
Protocol
Type of mailbox protocol
Index
Index of the object
Data
Date on which this object is to be downloaded.
Comment
Description of the request to be sent to the mailbox
Move Up | This button moves the selected request up by one position in the list.
Move Down | This button moves the selected request down by one position in the list.
New | This button adds a new mailbox download request to be sent during startup.
Delete | This button deletes the selected entry.
Edit | This button edits an existing request.
CoE - Online tab
The additional CoE - Online tab is displayed if the EtherCAT P slave supports the CANopen over EtherCAT (CoE) protocol. This dialog lists the content of the object list of the slave (SDO upload) and enables the user to modify the content of an object from this list. Details for the objects of the individual EtherCAT P devices can be found in the device-specific object descriptions.
CoE - Online tab
Object list display
Column | Description
Index | Index and sub-index of the object
Name | Name of the object
Flags | RW | The object can be read, and data can be written to the object (read/write)
 | RO | The object can be read, but no data can be written to the object (read only)
 | P | An additional P identifies the object as a process data object.
Value | Value of the object
Update List | The Update list button updates all objects in the displayed list
Auto Update | If this check box is selected, the content of the objects is updated automatically.
Advanced | The Advanced button opens the Advanced Settings dialog. Here you can specify which objects are displayed in the list.
Advanced Settings
Online - via SDO Information | If this option button is selected, the list of the objects included in the object list of the slave is uploaded from the slave via SDO information. The list below can be used to specify which object types are to be uploaded.
Offline - via EDS File | If this option button is selected, the list of the objects included in the object list is read from an EDS file provided by the user.
Online tab
Online tab
State Machine
Init | This button attempts to set the EtherCAT P device to the Init state.
Pre-Op | This button attempts to set the EtherCAT P device to the pre-operational state.
Op | This button attempts to set the EtherCAT P device to the operational state.
Bootstrap | This button attempts to set the EtherCAT P device to the Bootstrap state.
Safe-Op | This button attempts to set the EtherCAT P device to the safe-operational state.
Clear Error | This button attempts to delete the fault display. If an EtherCAT P slave fails during change of state it sets an error flag. Example: An EtherCAT P slave is in PREOP state (pre-operational). The master now requests the SAFEOP state (safe-operational). If the slave fails during change of state it sets the error flag. The current state is now displayed as ERR PREOP. When the Clear Error button is pressed the error flag is cleared, and the current state is displayed as PREOP again.
Current State | Indicates the current state of the EtherCAT P device.
Requested State | Indicates the state requested for the EtherCAT P device.
DLL Status
Indicates the DLL status (data link layer status) of the individual ports of the EtherCAT P slave. The DLL status can have four different states:
Status | Description
No Carrier / Open | No carrier signal is available at the port, but the port is open.
No Carrier / Closed | No carrier signal is available at the port, and the port is closed.
Carrier / Open | A carrier signal is available at the port, and the port is open.
Carrier / Closed | A carrier signal is available at the port, but the port is closed.
File Access over EtherCAT
Download | With this button a file can be written to the EtherCAT P device.
Upload | With this button a file can be read from the EtherCAT P device.
Also see about this
•
Configuration via TwinCAT


Appendix

Appendix
Appendix
Additional information
•
General operating conditions
•
EtherCAT Box- / EtherCAT P Box - Accessories
•
Support and Service


General operating conditions

Appendix [image] General operating conditions
General operating conditions
Protection degrees (IP-Code)
The standard IEC 60529 (DIN EN 60529) defines the degrees of protection in different classes.
1. Number: dust protection and touch guard | Definition
0 | Non-protected
1 | Protected against access to hazardous parts with the back of a hand. Protected against solid foreign objects of Ø 50 mm
2 | Protected against access to hazardous parts with a finger. Protected against solid foreign objects of Ø 12,5 mm.
3 | Protected against access to hazardous parts with a tool. Protected against solid foreign objects Ø 2,5 mm.
4 | Protected against access to hazardous parts with a wire. Protected against solid foreign objects Ø 1 mm.
5 | Protected against access to hazardous parts with a wire. Dust-protected. Intrusion of dust is not totally prevented, but dust shall not penetrate in a quantity to interfere with satisfactory operation of the device or to impair safety.
6 | Protected against access to hazardous parts with a wire. Dust-tight. No intrusion of dust.
2. Number: water* protection | Definition
0 | Non-protected
1 | Protected against water drops
2 | Protected against water drops when enclosure tilted up to 15°.
3 | Protected against spraying water. Water sprayed at an angle up to 60° on either side of the vertical shall have no harmful effects.
4 | Protected against splashing water. Water splashed against the disclosure from any direction shall have no harmful effects
5 | Protected against water jets
6 | Protected against powerful water jets
7 | Protected against the effects of temporary immersion in water. Intrusion of water in quantities causing harmful effects shall not be possible when the enclosure is temporarily immersed in water for 30 min. in 1 m depth.
*) These protection classes define only protection against water!
Chemical Resistance
The Resistance relates to the Housing of the Fieldbus/EtherCAT Box and the used metal parts. In the table below you will find some typical resistance.
Character | Resistance
Steam | at temperatures >100°C: not resistant
Sodium base liquor (ph-Value > 12) | at room temperature: resistant > 40°C: not resistant
Acetic acid | not resistant
Argon (technical clean) | resistant
Key
resistant: Lifetime several months
non inherently resistant: Lifetime several weeks
not resistant: Lifetime several hours resp. early decomposition


EtherCAT Box- / EtherCAT P Box - Accessories

Appendix [image] EtherCAT Box- / EtherCAT P Box - Accessories
EtherCAT Box- / EtherCAT P Box - Accessories
Fixing
Ordering information | Description
ZS5300-0001 | Mounting rail (500 mm x 129 mm)
Marking material, plugs
Ordering information | Description
ZS5000-0000 | Fieldbus Box set M8 (contact labels, plugs)
ZS5000-0002 | Fieldbus Box set M12 (contact labels, plugs)
ZS5000-0010 | plugs M8, IP67 (50 pieces)
ZS5000-0020 | plugs M12, IP67 (50 pieces)
ZS5100-0000 | marking labels, not printed, 4 stripes at 10 pieces
ZS5100-xxxx | printed marking labels, on request
Tools
Ordering information | Description
ZB8800 | torque wrench for M8 cables with knurl, incl. ratchet
ZB8800-0001 | M12 ratchet for torque wrench ZB8800
ZB8800-0002 | M8 ratchet (field assembly) for torque wrench ZB8800
ZB8801-0000 | torque wrench for hexagonal plugs, adjustable
ZB8801-0001 | torque cable key, M8/wrench size 9, for torque wrench ZB8801-0000
ZB8801-0002 | torque cable key, M12/wrench size 13, for torque wrench ZB8801-0000
ZB8801-0003 | torque cable key, M12 field assembly/wrench size 13, for torque wrench ZB8801-0000
Note
Further accessories
Further accessories may be found at the price list for Beckhoff fieldbus components and at the internet under www.beckhoff.com.


Support and Service

Appendix [image] Support and Service
Support and Service
Beckhoff and their partners around the world offer comprehensive support and service, making available fast and competent assistance with all questions related to Beckhoff products and system solutions.
Beckhoff's branch offices and representatives
Please contact your Beckhoff branch office or representative for local support and service on Beckhoff products!
The addresses of Beckhoff's branch offices and representatives round the world can be found on her internet pages:
http://www.beckhoff.com
You will also find further documentation for Beckhoff components there.
Beckhoff Headquarters
Beckhoff Automation GmbH & Co. KG
Huelshorstweg 20
33415 Verl
Germany
Phone: | +49(0)5246/963-0
Fax: | +49(0)5246/963-198
e-mail: | info@beckhoff.com
Beckhoff Support
Support offers you comprehensive technical assistance, helping you not only with the application of individual Beckhoff products, but also with other, wide-ranging services:
▪
support
▪
design, programming and commissioning of complex automation systems
▪
and extensive training program for Beckhoff system components
Hotline: | +49(0)5246/963-157
Fax: | +49(0)5246/963-9157
e-mail: | support@beckhoff.com
Beckhoff Service
The Beckhoff Service Center supports you in all matters of after-sales service:
▪
on-site service
▪
repair service
▪
spare parts service
▪
hotline service
Hotline: | +49(0)5246/963-460
Fax: | +49(0)5246/963-479
e-mail: | service@beckhoff.com